Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.customer
Class CustomerDelegatePk

    java.lang.Object
      |
      +--com.beasys.commerce.foundation.SmartKey
            |
            +--com.beasys.commerce.axiom.contact.ContactPk
                  |
                  +--com.beasys.commerce.ebusiness.customer.CustomerDelegatePk

public class CustomerDelegatePk
extends com.beasys.commerce.axiom.contact.ContactPk

See Also:
  Serialized Form

Fields inherited from class com.beasys.commerce.axiom.contact.ContactPk
`identifier`

Constructor Summary
`CustomerDelegatePk()`
`CustomerDelegatePk(java.lang.String identifier)`

Method Summary
`int` | `compareTo(java.lang.Object o)` Objects that compare will return 0
`int` | `hashCode()` override the hashCode() method
`java.lang.String` | `toString()` Return identifier

Methods inherited from class com.beasys.commerce.foundation.SmartKey
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CustomerDelegatePk

    public CustomerDelegatePk()

### CustomerDelegatePk

    public CustomerDelegatePk(java.lang.String identifier)

Method Detail

### compareTo

    public int compareTo(java.lang.Object o)

  Objects that compare will return 0

  Overrides:
    compareTo in class com.beasys.commerce.axiom.contact.ContactPk

### hashCode

    public int hashCode()

  override the hashCode() method

  Overrides:
    hashCode in class com.beasys.commerce.axiom.contact.ContactPk

### toString

    public java.lang.String toString()

  Return identifier

  Overrides:
    toString in class com.beasys.commerce.axiom.contact.ContactPk

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved